Skip to main content
POST
/
user
/
edit
/
{id}
cURL
curl --request POST \
  --url https://{portalApiUrl}/user/edit/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_organisation_identifier": "111"
}
'
{
  "status": true,
  "result": {
    "user_id": 123,
    "email": "jsmith@example.com",
    "firstname": "<string>",
    "lastname": "<string>",
    "user_organisation_identifier": "<string>",
    "groups": [
      "<string>"
    ],
    "properties": {},
    "user_created_date": "2023-11-07T05:31:56Z",
    "user_updated_date": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.illuxi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication token obtained from POST /token

Path Parameters

id
integer
required

ID of user to edit

Body

application/json
email
string<email>
firstname
string
lastname
string
password_reset_code
string | null
groups
string[]
user_organisation_identifier
string | null
properties
object

Response

updated user

status
boolean
result
object